Confirm that you have received the result of the Confirmation of Payee request, and that you are okay with proceeding to pay out to this bank account despite the account not matching, partially matching, or the service being unavailable. Once you confirm this, you will be able to send OutboundPayments, but this may lead to funds being sent to the wrong account, which we might not be able to recover.
Learn more about calling API v2 endpoints.Parameters
- idstringRequired
The GBBankAccount whose result needs to be acknowledged.
Returns
Response attributes
- idstring
The ID of the GBBankAccount object.
- objectstring, value is "v2.core.vault.gb_bank_account"
String representing the object’s type. Objects of the same type share the same value of the object field.
- archivedboolean
Whether this bank account object was archived. Bank account objects can be archived through the /archive API, and they will not be automatically archived by Stripe. Archived bank account objects cannot be used as outbound destinations and will not appear in the outbound destination list.
- bank_
account_ typeenum The type of the bank account (checking or savings).
Possible enum valuescheckingChecking account.
savingsSavings account.
- bank_
namestring The name of the bank.
- confirmation_
of_ payeeobject Information around the status of Confirmation of Payee matching done on this bank account. Confirmation of Payee is a name matching service that must be done before making OutboundPayments in the UK.
- createdtimestamp
Creation time.
- last4string
The last 4 digits of the account number or IBAN.
- livemodeboolean
Has the value
trueif the object exists in live mode or the valuefalseif the object exists in test mode. - sort_
codestring The Sort Code of the bank account.
The resource wasn’t found.
An idempotent retry occurred with different request parameters.
{ "id": "gbba_test_61RNFHlkJ5BSQ2UHh16RMXKs0JSQpGKHUiBrbrLjkVSy", "object": "v2.core.vault.gb_bank_account", "archived": false, "bank_account_type": "checking", "bank_name": "Test Bank", "last4": "2345", "confirmation_of_payee": { "result": { "created": "2024-10-25T17:29:53.000Z", "match_result": "partial_match", "matched": { "business_type": "personal", "name": "Jenny Rosen" }, "message": "The provided name Jennifer Rosen partially matches the name Jenny Rosen the bank has on file for this account.", "provided": { "business_type": "personal", "name": "Jennifer Rosen" } }, "status": "confirmed" }, "created": "2024-10-25T17:29:37.484Z", "sort_code": "108800", "livemode": true}